Switched back to Firefox 1.5

Yesteday, I downgraded my Mozilla Firefox installation to 1.5. My main reason is that it crashed so many times. I know, Mozilla Firefox 2.0 has great new features. But the previous version (I use 1.5.0.8 now) has all features I need.

Yesteday, I downgraded my Mozilla Firefox installation to 1.5. My main reason is that it crashed so many times. I know, Mozilla Firefox 2.0 has great new features. But the previous version (I use 1.5.0.8 now) has all features I need.
When I switched to Firefox 2.0, I have no problems with the extensions. Most extensions have been updated; compatible with Firefox latest version.
I will stay with 1.5.0.8 for now, and I haven’t experienced crashed browser until now.